/* ESTILO GERAL */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

body {
    background-color: #fff;
    height: 100vh;
    transform: 1s;
}

.interface {
    max-width: 1280px;
    margin: 0 auto;
}

.flex {
    display: flex;
}

.btn-contato button {
    color: #fff;
    padding: 10px 40px;
    font-size: 18px;
    font-weight: 600;
    background-color: #25498d;
    border: 0;
    border-radius: 30px;
    cursor: pointer;
    transition: 2s;
}

h2.titulo {
    color: #000;
    font-size: 38px;
    text-align: center;
}

h2.titulo span {
    color: #162B51;
}

button:hover,
form .btn-enviar input:hover {
    box-shadow: 0 0 20px #375285d2;
    transform: scale(1.10);
}

/* ESTILO DO CABEÇALHO */

header {
    padding: 40px 4%;
    background-color: #162B51;
}

header > .interface {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

header a {
    color: #ffff;
    text-decoration: none;
    display: inline-block;
    transition: 2s;
    font-size: 22px;
}

header nav.menu-desktop a:hover {
    color: rgb(151, 151, 151);
    transform: scale(1.10);
}

header nav ul {
    list-style-type: none;
}

header nav.menu-desktop ul li {
    display: inline-block;
    padding: 0 40px;
}

/* ESTILO DO MENU MOBILE */

.btn-abrir-menu i {
    color: #ffff;
    font-size: 40px;
}

.menu-mobile {
    background-color: #162B51;
    height: 100vh;
    position: fixed;
    top: 0;
    right: 0;
    z-index: 99999;
    width: 0%;
    overflow: hidden;
    transition: 2s;
}

.menu-mobile.abrir-menu {
    width: 70%;
}

.menu-mobile.abrir-menu ~ .overlay-menu {
    display: block;
}

.menu-mobile .btn-fechar {
    padding: 20px 5%;
}

.menu-mobile .btn-fechar i {
    color: #ffff;
    font-size: 40px;
}

.menu-mobile nav ul {
    text-align: right;
}

.menu-mobile nav ul li a {
    color: #ffff;
    font-size: 20px;
    font-weight: 300;
    padding: 20px 8%;
    display: block;
}

.menu-mobile nav ul li a:hover {
    box-shadow: 0 0 20px #162B51;
}

.overlay-menu {
    background-color: #2a4a8665;
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 88888;
    display: none;
}

/* ESTILO TOPO DO SITE */
section.topo-do-site {
    padding: 40px 4%;
    box-shadow: 0 0 40px 10px #2a4a8665;
}

section.topo-do-site .flex {
    align-items: center;
    justify-content: center;
    gap: 90px;
}

.topo-do-site h1 {
    color: #000;
    font-size: 38px;
    line-height: 48px;
}

.topo-do-site h1 span {
    color: #1f396b;
}

.topo-do-site .txt-topo-site p {
    color: #162B51;
    margin: 40px 0;
    font-weight: 600;
}

.topo-do-site .img-topo-site img {
    position: relative;
    width: 700px;
    box-shadow: 0 0 40px 5px #2a4a8665;
    animation: flutuar 2s ease-in-out infinite alternate;
}

@keyframes flutuar {
    0% {
        top: 0;
    }

    100% {
        top: 40px;
    }
}

/* ESTILO MEIO DO SITE */
section.meio-do-site {
    margin-top: 100px;
    padding: 40px 4%;
}

section.meio-do-site .flex {
    align-items: center;
    justify-content: center;
    gap: 90px;
}

.meio-do-site h1 {
    color: #000;
    font-size: 38px;
    line-height: 48px;
}

.meio-do-site h1 span {
    color: #1f396b;
}

.meio-do-site .txt-meio-site p {
    color: #162B51;
    margin: 40px 0;
    font-weight: 600;
}

.meio-do-site .img-meio-site img {
    position: relative;
    width: 700px;
    box-shadow: 0 0 40px 5px #2a4a8665;
}

/* ESTILO FIM DO SITE */
section.fim-do-site {
    margin-top: 100px;
    padding: 40px 4%;
    box-shadow: 0 0 40px 10px #2a4a8665;
}

section.fim-do-site .flex {
    align-items: center;
    justify-content: center;
    gap: 90px;
}

.fim-do-site h1 {
    color: #000;
    font-size: 38px;
    line-height: 48px;
}

.fim-do-site h1 span {
    color: #1f396b;
}

.fim-do-site .txt-fim-site p {
    color: #162B51;
    margin: 40px 0;
    font-weight: 600;
}

.fim-do-site .img-fim-site img {
    position: relative;
    width: 700px;
    box-shadow: 0 0 40px 5px #2a4a8665;
}

/* ESTILO MINHAS ESPECIALIDADES */

section.ebook {
    padding: 40px 4%;

}

section.ebook .flex {
    gap: 60px;
}

.ebook .ebook-box {
    color: #000;
    padding: 10px;
    margin-top: 45px;
    border-radius: 20px;
    transition: 2s;
}

.ebook .ebook-box:hover {
    transform: scale(1.05);
    box-shadow: 0 0 20px #2a4a8665;
}

.ebook .ebook-box i {
    font-size: 70px;
    color: #2a4a8665;
}

.ebook .ebook-box h3 {
    font-size: 28px;
    margin: 15px 0;
}

footer {
    padding: 20px 4%;
    box-shadow: 2px 2px 20px #2a4a8665;
    background-color: #162B51;
    margin-top: 100px;
}

footer .flex {
    justify-content: space-between;
}

footer .line-footer {
    padding: 20px 0;
}

.borda {
    border-top: 2px solid #2a4a8665;
}

footer .line-footer p i {
    color: #000;
    font-size: 22px;
}

footer .flex .btn-social button {
    width: 60px;
    height: 60px;
    border-radius: 50%;
    border: none;
    background-color: #2a4a8665;
    font-size: 22px;
    cursor: pointer;
    margin: 10px 5px;
    transition: 2s;
}

footer .line-footer p a {
    color: #000;
}

footer .line-footer .logo-footer img {
    width: 90px;
    height: 90px;
}

.copy {
    height: 30px;
    background-color: #27447b;
    text-align: center;
    color: #ffff;
    font-weight: 600;
}


@media screen and (max-width: 1020px) {

    /*classes gerais*/
    .flex {
        flex-direction: column;
    }

    h2.titulo {
        font-size: 34px;
        line-height: 30px;
    }

    .topo-do-site .flex {
        flex-direction: column-reverse;
    }

    /* cabeçalho */
    .menu-desktop,
    .btn-contato {
        display: none;
    }

    /*topo do site*/
    section.topo-do-site .flex {
        gap: 45px;
    }

    section.topo-do-site {
        padding: 20px 8%;
    }

    .topo-do-site h1 {
        font-size: 32px;
    }

    .topo-do-site .img-topo-site img {
        width: 90%;
    }

    /*meio dp site*/
    section.meio-do-site .flex {
        gap: 45px;
    }

    section.meio-do-site {
        padding: 20px 8%;
    }

    .meio-do-site h1 {
        font-size: 32px;
    }

    .meio-do-site .img-meio-site img {
        width: 90%;
    }

    /*fim do site*/
    section.fim-do-site .flex {
        gap: 45px;
    }

    section.fim-do-site {
        padding: 20px 8%;
    }

    .fim-do-site h1 {
        font-size: 32px;
    }

    .fim-do-site .img-fim-site img {
        width: 90%;
    }

    /* RODAPE */
    footer .flex {
        flex-direction: column;
        gap: 30px;
    }

    footer .line-footer {
        text-align: center;
    }

    .icon .fab {
        padding-top: 9px;
    }

    .icon:hover {
        background-color: #fff;
        color: #029e3b;
        font-weight: 900;
        box-shadow: 2px 2px 20px #5fe690;
    }
}